Bug 1252745 - oVirt engine randomly fails to start due to unsatisfied dependencies
oVirt engine randomly fails to start due to unsatisfied dependencies
Status: CLOSED NOTABUG
Product: oVirt
Classification: Community
Component: ovirt-engine-core (Show other bugs)
3.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.6.0
Assigned To: Moti Asayag
Pavel Stehlik
infra
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-12 04:02 EDT by Maor
Modified: 2016-02-10 14:30 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-17 09:11:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
server log which has the error (17.42 MB, text/plain)
2015-08-14 05:53 EDT, Maor
no flags Details
server (388.80 KB, text/plain)
2015-08-14 06:06 EDT, Maor
no flags Details
full server log (417.76 KB, text/plain)
2015-08-17 02:45 EDT, Maor
no flags Details

  None (edit)
Description Maor 2015-08-12 04:02:30 EDT
Description of problem:
Trying to start a compiled environment of engine fails to start due to missing/unsatisfied dependencies (see [1])
After some tries it starts as expected.

JBAS018558: Undeployed "engine.ear" (runtime-name: "engine.ear")
2015-08-12 10:53:16,941 INFO  [org.jboss.as.controller] (DeploymentScanner-threads - 2) JBAS014774: Service status report
JBAS014775:    New missing/unsatisfied dependencies:
      service jboss.deployment.subunit."engine.ear"."bll.jar".component.Backend.CREATE (missing) dependents: [service jboss.deployment.subunit."engine.ear"."bll.jar".component.Backend.START] 
      service jboss.deployment.subunit."engine.ear"."bll.jar".component.Backend.START (missing) dependents: [service jboss.deployment.subunit."engine.ear"."bll.jar".component.InitBackendServicesOnStartupBean.START] 
      service jboss.deployment.subunit."engine.ear"."bll.jar".component.Backend.VIEW."org.ovirt.engine.core.bll.interfaces.BackendCommandObjectsHandler".LOCAL (missing) dependents: [service jboss.deployment.subunit."engine.ear"."bll.jar".component.Backend.START] 


Version-Release number of selected component (if applicable):
last commit id is 2e96b9b23aeeb37ca3724a062bb69faae7fb4934

How reproducible:
sometimes

Steps to Reproduce:
1. Start your engine
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Oved Ourfali 2015-08-13 05:25:53 EDT
Can you please attach logs of time when it happens?
Comment 2 Maor 2015-08-14 05:53:43 EDT
Created attachment 1062955 [details]
server log which has the error
Comment 3 Maor 2015-08-14 06:06:20 EDT
Created attachment 1062956 [details]
server
Comment 4 Alon Bar-Lev 2015-08-16 05:24:17 EDT
wildfly - I see - please try to use eap, there is no reason to use wildfly.

partial log so I cannot see if it is devenv or not.
Comment 5 Maor 2015-08-17 02:45:44 EDT
Created attachment 1063643 [details]
full server log
Comment 6 Maor 2015-08-17 02:51:05 EDT
I've added the full server log, this is a developer environment.
Why there is no reason to use wildfly? we already suggesting to use wildfly in the devel mailing list, so other contributes might encounter this problem as well
Comment 7 Alon Bar-Lev 2015-08-17 03:02:30 EDT
please do not open bugs for devenv, you have mail and proper contacts.

do you have the wildfly overlay in PREFIX/etc/ovirt-engine/engine.conf.d? see README.developer.

any reason you use wildfly and not eap for devenv?
Comment 8 Maor 2015-08-17 04:48:46 EDT
There is no special reason I use wildfly, basically it is a community jboss AS project which I prefer to use then EAP.
I followed the steps at this mail:
 http://lists.ovirt.org/pipermail/devel/2015-June/010832.html

I've also followed the README.developer file, and saw that the ovirt-nightly.repo contains ovirt-master-snapshot-static:

[ovirt-master-snapshot-static]
name=oVirt Master Static Test Releases
baseurl=http://resources.ovirt.org/pub/ovirt-master-snapshot-static/rpm/fc@$releasever/
enabled=1
skip_if_unavailable=1
gpgcheck=0

I've been trying to re-execute engine-setup once again, and for now I see that the engine has been able to start without any error.
I will try to play with it some more just to make sure it doesn't fail no more.
If I will encounter this problem again, I will use the appropriate mailing list instead of bugzilla.
Comment 9 Maor 2015-08-17 09:11:30 EDT
I'm closing the the bug for now, if this error will be regenerated I will post the details through the devel mailing list.

Note You need to log in before you can comment on or make changes to this bug.